Skip to content

/fal-ai/flux-pro/kontext/max

POST https://www.kkiai.com/fal-ai/flux-pro/kontext/max

Official Documentation: https://fal.ai/models/fal-ai/flux-pro/kontext/max

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Request Example

json
{
    "prompt": "Put a donut next to the flour.",
    "seed": 0,
    "guidance_scale": 3.5,
    "sync_mode": false,
    "num_images": 1,
    "safety_tolerance": 2,
    "output_format": "jpeg",
    "aspect_ratio": "string",
    "image_url": "https://v3.fal.media/files/rabbit/rmgBxhwGYb2d3pl3x9sKf_output.png"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/flux-pro/kontext/max' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "Put a donut next to the flour.",
    "seed": 0,
    "guidance_scale": 3.5,
    "sync_mode": false,
    "num_images": 1,
    "safety_tolerance": 2,
    "output_format": "jpeg",
    "aspect_ratio": "string",
    "image_url": "https://v3.fal.media/files/rabbit/rmgBxhwGYb2d3pl3x9sKf_output.png"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "e36fc67f-afa7-416a-a288-50d90a630d7a",
    "response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/e36fc67f-afa7-416a-a288-50d90a630d7a",
    "status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/e36fc67f-afa7-416a-a288-50d90a630d7a/status",
    "cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/e36fc67f-afa7-416a-a288-50d90a630d7a/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}